import { del, get, post } from "./http";

const prefix = 'devicesApi/notification/';

export default {
  /**
   * 查询新闻列表
   * @param {String} articleId 最后一个列表对象的Id(用于分页)
   * @returns Promise
   */
  getArticleList(articleId) {
    return get(prefix + "articles", {articleId})
  },
  readMessage(articleId) {
    return get(prefix + "read-article", {articleId})
  },
  getCampaignList(articleId) {
    return get("devicesApi/notification/campaigns", {articleId})
  }
}